import { PropertyValues } from 'lit';
import { TiniElement } from 'tinijs';
export declare class IconDiamondComponent extends TiniElement {
    static readonly defaultTagName = "icon-diamond";
    static styles: any;
    scale?: string;
    scheme?: string;
    willUpdate(changedValues: PropertyValues): void;
    protected render(): any;
}
export declare const IconDiamond: any;
